List scale target adjustments across a capacity domain
curl --request GET \
--url https://api.arklow.io/v1/orgs/{org_id}/capacity-domains/{id}/adjustments \
--header 'x-arklow-auth: <api-key>'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/capacity-domains/{id}/adjustments"
headers = {"x-arklow-auth": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-arklow-auth': '<api-key>'}};
fetch('https://api.arklow.io/v1/orgs/{org_id}/capacity-domains/{id}/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": "<string>",
"org_id": "<string>",
"scale_target_id": "<string>",
"previous_effective_min": 123,
"new_effective_min": 123,
"basis": "<unknown>",
"connector_outcome": "<string>",
"acted_under_casper": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}List scale target adjustments across a capacity domain
GET
/
v1
/
orgs
/
{org_id}
/
capacity-domains
/
{id}
/
adjustments
List scale target adjustments across a capacity domain
Authorizations
Query Parameters
Required range:
1 <= x <= 20Required range:
x >= 0⌘I